// component/bottom/bottom.js

// component/imageSwiper/imageSwiper.js
var app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

Component({
	/**
	 * 组件的属性列表
	 */
	properties: {
		bottom: {
			type: Object,
			value: {},
		},
  },
  attached () {},
	/**
	 * 组件的初始数据
	 */
	data: {
    startX: 0,
    startY: 0,
    isAuthorization: false
	},
	/**
	 * 组件的方法列表
	 */
	methods: {
    touchStart(e) {
      this.setData({
        startX: e.changedTouches[0].clientX,
        startY: e.changedTouches[0].clientY
      });
    },
    touchEnd(e) {
      let x = e.changedTouches[0].clientX;
      let y = e.changedTouches[0].clientY;
      // endX, endY, startX, startY
      const {startX, startY} = this.data
      let isTouchLeft = utils.getTouchData(x, y, startX, startY)
      // 触发左划事件
      if(isTouchLeft == 'left') {
        const {appid, path, link,item} = e.currentTarget.dataset
        // 获取当前帐号信息
        const accountInfo = utils.getAccountInfo()
        // 是当前小程序 直接跳转
        if (wx.getStorageSync('_baseUserInfo')){
        // navigateToMiniProgram:fail can only be invoked by user TAP gesture.
        if( link.type == 1) return false
        // 更改数据问题
        let currentClickType = app.globalData.commonFunc.getLink(item.link.type, item)
  
        if(link.type == 2) {
          // 触发父组件更新页面
          wxService.nextTick(() => {
            this.triggerEvent('updatePage', { pageId: currentClickType.url })
          })
        } else if(link.type == 3) {
          // 预览
          wx.previewImage({
            current: `https://images.unsplash.com/${currentClickType.imageUrl}`, // 当前显示图片的http链接
            urls: [`http://testimg3.bigaka.com/${currentClickType.link.url}`]  // 需要预览的图片http链接列表
          })
        } else if(link.type == 4) {
          wxService.router(`${currentClickType}`)
        }
  
        }else{
          this.setData({
            isAuthorization: true
          })
          return false
        }
      }
    }
  }
})
